> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List HOS Logs

> List all hours of service logs. HOS logs are tracked as the distinct changes in duty status.



## OpenAPI

````yaml GET /hos/logs
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /hos/logs:
    parameters: []
    get:
      tags:
        - Hours of Service
      summary: List HOS Logs
      description: >-
        List all hours of service logs. HOS logs are tracked as the distinct
        changes in duty status.
      operationId: listHOSLogs
      parameters:
        - name: Connection-Token
          in: header
          required: true
          schema:
            type: string
            example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
            pattern: ^con_tkn_\S+$
          description: >-
            The token returned when a user authenticated their account. This
            authorizes access to a specific account.
        - name: cursor
          in: query
          schema:
            type: string
            format: cursor
            example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          description: Pagination cursor to start requests from
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: The maximum number of results to return in a page.
        - schema:
            title: ISODateTime
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
          in: query
          name: startedAfter
          description: Only include records of statuses that started after a provided date.
        - schema:
            title: ISODateTime
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
          in: query
          name: startedBefore
          description: >-
            Only include records of statuses that started before a provided
            date.
        - name: modifiedAfter
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
          description: Only include records that were last modified after a provided date.
        - name: modifiedBefore
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
          description: Only include records that were last modified before a provided date.
        - name: driverIds
          in: query
          required: false
          schema:
            type: string
            pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}(\s*,\s*drv_[0-9A-HJKMNP-TV-Z]{26})*$
          description: >-
            Comma separated list of driver IDs to filter for. Can filter up to
            50 drivers at a time. Each ID must use the `drv_` prefix.
        - schema:
            type: string
            enum:
              - driver
              - vehicle
              - codrivers
              - driver,vehicle
              - driver,codrivers
              - vehicle,driver
              - vehicle,codrivers
              - codrivers,driver
              - codrivers,vehicle
              - driver,vehicle,codrivers
              - driver,codrivers,vehicle
              - vehicle,driver,codrivers
              - vehicle,codrivers,driver
              - codrivers,driver,vehicle
              - codrivers,vehicle,driver
          in: query
          name: expand
          description: Expand resources in the returned response
        - name: raw
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            Include raw responses used to normalize model. Used for debugging or
            accessing unique properties that are not unified.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      title: HOS Log
                      x-model-category: historical
                      additionalProperties: false
                      type: object
                      properties:
                        id:
                          title: HOSLogId
                          type: string
                          format: ulid
                          example: hos_log_01D8ZQFGHVJ858NBF2Q7DV9MNC
                        sourceId:
                          title: SourceId
                          type: string
                          example: '123456789'
                          description: >-
                            The ID used to represent the entity in the source
                            system.
                        provider:
                          title: Provider Code
                          type: string
                          example: geotab
                          description: >-
                            Every provider has a unique code to identify it
                            across Terminal's system. You can find each
                            provider's code under [provider
                            details](/providers).
                        status:
                          type: string
                          enum:
                            - off_duty
                            - sleeper_bed
                            - driving
                            - on_duty
                            - yard_move
                            - personal_conveyance
                            - waiting_time
                        driver:
                          description: Reference to the driver for this log
                          example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                          oneOf:
                            - title: DriverId
                              description: Unique identifier for the driver in Terminal.
                              type: string
                              format: ulid
                              pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                              example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                            - title: Expanded Driver
                              type: object
                              properties:
                                id:
                                  title: DriverId
                                  description: >-
                                    Unique identifier for the driver in
                                    Terminal.
                                  type: string
                                  format: ulid
                                  pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                                  example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                              required:
                                - id
                        vehicle:
                          description: >-
                            The vehicle the driver was driving when the log was
                            recorded.
                          example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                          oneOf:
                            - title: VehicleId
                              description: Unique identifier for the vehicle in Terminal.
                              type: string
                              format: ulid
                              pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                              example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                            - title: Expanded Vehicle
                              type: object
                              properties:
                                id:
                                  title: VehicleId
                                  description: >-
                                    Unique identifier for the vehicle in
                                    Terminal.
                                  type: string
                                  format: ulid
                                  pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                                  example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                              required:
                                - id
                        codrivers:
                          type: array
                          description: >-
                            Additional drivers that were included in the HOS
                            log.
                          items:
                            example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                            oneOf:
                              - title: DriverId
                                description: Unique identifier for the driver in Terminal.
                                type: string
                                format: ulid
                                pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                                example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                              - title: Expanded Driver
                                type: object
                                properties:
                                  id:
                                    title: DriverId
                                    description: >-
                                      Unique identifier for the driver in
                                      Terminal.
                                    type: string
                                    format: ulid
                                    pattern: ^drv_[0-9A-HJKMNP-TV-Z]{26}$
                                    example: drv_01D8ZQFGHVJ858NBF2Q7DV9MNC
                                required:
                                  - id
                            description: >-
                              Entities in Terminal are expandable. Using the
                              `expand` query parameter you can choose to ingest
                              just an ID or the full entity details.
                        startedAt:
                          title: ISODateTime
                          type: string
                          format: date-time
                          example: '2021-01-06T03:24:53.000Z'
                          description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
                        endedAt:
                          title: ISODateTime
                          type: string
                          format: date-time
                          example: '2021-01-06T03:24:53.000Z'
                          description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
                        location:
                          description: Where the log was recorded
                          title: Coordinates
                          type: object
                          properties:
                            longitude:
                              type: number
                              example: -122.4194155
                            latitude:
                              type: number
                              example: 37.7749295
                          required:
                            - longitude
                            - latitude
                        remarks:
                          type: array
                          items:
                            type: object
                            properties:
                              sourceId:
                                title: SourceId
                                type: string
                                example: '123456789'
                                description: >-
                                  The ID used to represent the entity in the
                                  source system.
                              submittedAt:
                                title: ISODateTime
                                type: string
                                format: date-time
                                example: '2021-01-06T03:24:53.000Z'
                                description: >-
                                  [ISO
                                  8601](https://www.w3.org/TR/NOTE-datetime)
                                  date
                              notes:
                                type: string
                                description: Additional comments
                            required:
                              - notes
                        metadata:
                          title: EntityMetadata
                          type: object
                          description: Internal metadata about the record.
                          required:
                            - addedAt
                            - modifiedAt
                          properties:
                            addedAt:
                              title: AddedAt
                              type: string
                              format: date-time
                              description: >-
                                The date and time the record was ingested into
                                Terminal. Note: this is not the date and time
                                the record was created in the provider's system.
                            modifiedAt:
                              title: ModifiedAt
                              type: string
                              format: date-time
                              description: >-
                                The date and time the record was last updated in
                                Terminal. Note: this is not the date and time
                                the record was updated in the provider's system.
                        raw:
                          title: RawDataList
                          type: array
                          example: []
                          items:
                            title: RawData
                            type: object
                            properties:
                              provider:
                                type: string
                              schema:
                                type: string
                              extractedAt:
                                type: string
                              data:
                                type: object
                            required:
                              - provider
                              - schema
                              - extractedAt
                              - data
                      required:
                        - id
                        - sourceId
                        - provider
                        - status
                        - driver
                        - startedAt
                        - remarks
                        - metadata
                      x-description: Records a change in duty status by a driver.
                  next:
                    title: Pagination Cursor
                    type: string
                    example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
                    description: Cursor used for pagination.
                    format: cursor
                required:
                  - results
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
        '504':
          description: Gateway Timeout Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - gateway_timeout
                  message:
                    type: string
                    example: Gateway Timeout
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````